;*************************************************************************
; Copyright (c) 2002 The University of Chicago, as Operator of Argonne
; National Laboratory.
; Copyright (c) 2002 The Regents of the University of California, as
; Operator of Los Alamos National Laboratory.
; This file is distributed subject to a Software License Agreement found
; in the file LICENSE that is included with this distribution. 
;*************************************************************************
pro parameter_binary
	catch, error_status
	if(error_status NE 0) then begin
		print, 'ERROR_MESSAGE:',!ERR_STRING
		if (OBJ_VALID(a)) then OBJ_DESTROY, a
		return
	endif


a=obj_new('sdds_table','parameter_binary.sdds', /NEW, /BINARY)
if (NOT OBJ_VALID(a)) then MESSAGE, 'object-a- not created!'

a->setparameterdefinition, {NAME:'double'}
a->setparameterdefinition, {NAME:'float',TYPE:'FLOAT'}
a->setparameterdefinition, {NAME:'long',TYPE:'LONG',DESCRIPTION:'a long'}
a->setparameterdefinition, {NAME:'short',TYPE:'SHORT',UNITS:'Volts'}
a->setparameterdefinition, {NAME:'string',TYPE:'STRING',FIXED_VALUE:'a comment'}
a->setparameterdefinition, {NAME:'string1',TYPE:'STRING',DESCRIPTION:'a date'}
a->setparameterdefinition, {NAME:'byte',TYPE:'BYTE'}

a->startTable, 10

d0=11.1D
f0=22.22
l0=3l
s0=4
st0='May 26,1999'
b0=7B
a->setparameter, 'double', d0
a->setparameter, 'float', f0
a->setparameter, 'long', l0
a->setparameter, 'short', s0
a->setparameter, 'string1',st0
a->setparameter, 'byte', b0

a->writeTable

d1=d0+1
f1=f0+1
l1=l0+1
s1=s0+1
st1='May 26,2000'
b1=b0+1
a->setparameter, 'double', d1
a->setparameter, 'float', f1
a->setparameter, 'long', l1
a->setparameter, 'short', s1
a->setparameter, 'string1',st1
a->setparameter, 'byte', b1

a->writeTable

obj_destroy, a


a=obj_new('sdds_table','parameter_binary.sdds',/BINARY)
if (NOT OBJ_VALID(a)) then MESSAGE, 'object-a- not created!'

print, a->getParameterNames()

r=a->readTable()

rd0=a->getparameter('double')
rf0=a->getparameter('float')
rl0=a->getparameter('long')
rs0=a->getparameter('short')
rst0=a->getparameter('string1')
rb0=a->getparameter('byte')

r=a->readTable()

rd1=a->getparameter('double')
rf1=a->getparameter('float')
rl1=a->getparameter('long')
rs1=a->getparameter('short')
rst1=a->getparameter('string1')
rb1=a->getparameter('byte')

obj_destroy, a

print,'PAGE 1'

print,d0,'=',rd0
print,f0,'=',rf0
print,l0,'=',rl0
print,b0,'=',rb0
print,s0,'=',rs0
print,st0,'=',rst0
print,'PAGE 2'
print,d1,'=',rd1
print,f1,'=',rf1
print,l1,'=',rl1
print,b1,'=',rb1
print,s1,'=',rs1
print,st1,'=',rst1
return
end
